// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: false },

  modules: [
    '@nuxt/content',
    '@nuxtjs/device',
    'nuxt-directus',
    ['nuxt-mail', {
      message: {
        to: process.env.EMAIL,
      },
      smtp: {
        host: process.env.SMTP_HOST,
        port: process.env.SMTP_PORT,
        auth: {
          user: process.env.SMTP_USER,
          pass: process.env.SMTP_PASS,
        },
      },
    }],
  ],

  directus: {
    url: process.env.DIRECTUS_URL,
    token: process.env.DIRECTUS_TOKEN,
    autoFetch: true,
  },
  
  css: [
    "~/assets/style/style.css",
  ],

  postcss: {
    plugins: {
      'postcss-custom-media': {},
      'postcss-hexrgba': {},
      'postcss-import': {},
      'postcss-nested': {},
    }
  },

  telemetry: false
})